%define module sqlalchemy-migrate

Name:           python-%{module}
Version:        0.13.0
Release:        %mkrel 5
Summary:        Database schema migration for SQLAlchemy

Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/sqlalchemy-migrate
Source0:        https://pypi.io/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%package -n python3-%{module}
Summary:        Database schema migration for SQLAlchemy
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sqlalchemy)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(decorator)
BuildRequires:  python3dist(pbr)

Requires:       python3dist(nose) >= 0.10
Requires:       python3dist(sqlalchemy) >= 0.5
Requires:       python3dist(setuptools)
Requires:       python3dist(decorator)

Conflicts:      python2-sqlalchemy-migrate < 0.12.0-2

%description -n python3-%{module}
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python 3 code.

%prep
%setup -q -n %module-%version

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc PKG-INFO README.rst doc
%{python3_sitelib}/*
%{_bindir}/migrate*


%changelog
* Sun Dec 31 2023 joequant <joequant> 0.13.0-5.mga10
+ Revision: 2024691
- update to py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.13.0-4.mga9
+ Revision: 1832713
- Mageia 9 Mass Rebuild
- Mageia 8 Mass Rebuild
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ joequant <joequant>
- update to python 3.10
- rebuild for python 3.9
- update to 0.13.0
- update source file
- update to 0.8.2
+ tv <tv>
- rebuild for python-3.8
- BR pythonX-pbr thus fixing build
- rebuild for missing pythoneggs deps
+ wally <wally>
- drop python2 support
+ shlomif <shlomif>
- New version + py3
+ daviddavid <daviddavid>
- rename python-sqlalchemy-migrate to python2-sqlalchemy-migrate
- s/sitearch/sitelib/ as it is a noarch package
- obsolete python-migrate
- add python-migrate as Provides package
  * python-migrate has been removed as it is a duplicate of python-sqlalchemy-migrate
+ philippem <philippem>
- update to 0.11
- update to 0.9.7
- New upstream release 0.7.2
- imported package python-sqlalchemy-migrate
+ pterjan <pterjan>
- Rebuild for new Python
- Rebuild to add different pythonegg provides for python 2 and 3

